globus_gass_transfer_listenerattr(3)

NAME
globus_gass_transfer_listenerattr - Listener attributes

 - Listener attributes.

SYNOPSIS

  Authorization

int globus_gass_transfer_listenerattr_init (globus_gass_transfer_listenerattr_t *attr, char *url_scheme)

  Listener Backlog

int globus_gass_transfer_listenerattr_set_backlog (globus_gass_transfer_listenerattr_t *attr, int backlog)

  Listener Port

int globus_gass_transfer_listenerattr_set_port (globus_gass_transfer_listenerattr_t *attr, unsigned short port)

Detailed Description

Listener attributes.

Function Documentation

  int globus_gass_transfer_listenerattr_init (globus_gass_transfer_listenerattr_t * attr, char * url_scheme)
Initialize a listener attribute.

This function initializes the attr to contain a new protocol-specific listener attribute.

Parameters
    attr The attribute set to be initialized.
    url_scheme The scheme which which the attribute will be used for.

Return values
    GLOBUS_SUCCESS The attribute was successfully initialized.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER Either attr or url_scheme was GLOBUS_NULL.
    GLOBUS_GASS_TRANSFER_ERROR_NOT_IMPLEMENTED No protocol module currently registered with GASS Transfer Library handles URLs with the specified url_scheme.

  int globus_gass_transfer_listenerattr_set_backlog (globus_gass_transfer_listenerattr_t * attr, int backlog)
Set/Get the backlog attribute for a GASS transfer attribute set.

This attribute allows the user to control then number of pending connections which may exist for this listener.

Parameters
    attr The attribute set to query or modify.
    backlog The number of outstanding connections to allow.

Return values
    GLOBUS_SUCCESS The attribute was successfully updated.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER The attr was GLOBUS_NULL.

  int globus_gass_transfer_listenerattr_set_port (globus_gass_transfer_listenerattr_t * attr, unsigned short port)
Set/Get the port attribute for a GASS transfer attribute set.

This attribute allows the user to set the port to be used by a GASS Transfer listener.

Parameters
    attr The attribute set to query or modify.
    port The TCP or UDP port number to use.

Return values
    GLOBUS_SUCCESS The attribute was successfully updated.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER The attr was GLOBUS_NULL.

Author

Generated automatically by Doxygen for globus_gass_transfer from the source code.